{% extends "base_annexe.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
  <br>
  <h2>Preload list</h2>
  <div class="table-responsive">
      <table class="table table-striped">
          <thead>
          <tr>
              <th>#</th>
              <th>vnf-name</th>
          </tr>
          </thead>
          <tbody>
          {% for sdnc_preload in sdnc_preloads | reverse %}
          <tr>
              <td><class="sdnc_preload" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>
              <td><class="sdnc_preload" type="text" id="preload_name_{{loop.index}}" name="{{sdnc_preload["vnf-name"]}}" value="{{sdnc_preload["vnf-name"]}}">{{sdnc_preload["vnf-name"]}}</td>
              <td><a href="../sdnc_preload_delete?vnf-name={{sdnc_preload['vnf-name']}}&vnf-type={{sdnc_preload['vnf-type']}}" class="btn btn-danger">Delete</a></td>
          </tr>
          {% endfor %}
          </tbody>
      </table>
  </div>


    <br>
  <h2>Preload Details</h2>
    <figure>
      <pre>
        {% for preload in preload_list %}
        <code>
{{preload}}
        </code>
        {% endfor %}
      </pre>
    </figure>
</main>
{% endblock %}
